<template>
  <div class="c-card resize bk-white" :id="id" style="margin-left:215px">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2000 2000" class="top">
      <g id="Post 3">
        <g id="Design">
          <path id="Shape" :fill="color1" d="M0 1353L2000 1353L2000 2000L0 2000L0 1353Z" />
          <path id="Shape" :fill="color2" d="M0 936L0 1332L478 1332L0 936Z" />
          <path id="Shape" :fill="color2" d="M2000 936L2000 1332L1525 1332L2000 936Z" />
          <path id="Shape" class="shp2" :stroke="color2" d="M-2 860L548 1307L1478 1307L2002 860" />
          <path id="Shape" class="shp2" :stroke="color2" d="M2006 455L1513 43L425 43L-2 552" />
          <path id="Shape" :fill="color2" d="M2000 379L2000 0L1546 0L2000 379Z" />
          <path id="Shape" :fill="color2" d="M378 0L0 0L0 454L378 0Z" />
        </g>
      </g>
    </svg>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2003 649">
      <g id="Post 3">
        <g id="Design">
          <path id="Shape" :fill="color1" d="M1 1L2001 1L2001 648L1 648L1 1Z" />
        </g>
      </g>
    </svg>
    <div class="c-container-flex">
      <img src="@/assets/img/womans-side.png" alt width="100%" />
    </div>
    <div class="container-absolute">
      <div class="c-container-flex m-10">
        <div class="c-container-flex inline half">
          <p class="o-text uppercase bold large" v-bind:style="{color:color3}">Business</p>
          <p class="o-text uppercase bold gigant pt-10 pb-10" v-bind:style="{color:color2}">Events</p>
        </div>
        <div class="c-container-flex inline half">
          <p
            class="o-text smaller white"
            v-bind:style="{color:color3}"
          >Lorem Ipsum is simply dummy text of the</p>
          <div class="c-container-control-footer flex-start mt-5">
            <img src="@/assets/img/Linkedin.png" alt />
            <img src="@/assets/img/Pinterest.png" alt />
            <img src="@/assets/img/Twitter.png" alt />
            <img src="@/assets/img/Facebook.png" alt />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Mixins } from "vue-property-decorator";
import { MixinGeneral } from "@/mixins/mixinGeneral";

@Component
export default class CardThree extends Mixins(MixinGeneral) {
  @Prop({ type: String, required: true }) id: any;
  @Prop({ type: String, default: "#00488c" }) color1: any;
  @Prop({ type: String, default: "#ffc031" }) color2: any;
  @Prop({ type: String, default: "#ffffff" }) color3: any;
  @Prop({ type: String, default: "250px" }) height: any;
  @Prop({ type: String, default: "250px" }) width: any;
  @Prop({ type: String, default: "0px" }) marginRight: any;
  @Prop({ type: String, default: "0px" }) marginBottom: any;

  mounted() {
    const Gradient = document.querySelector(`#${this.id}`) as HTMLElement;
    this.setProps(Gradient);
    setTimeout(() => {
      Gradient.style.opacity = "1";
      Gradient.style.marginLeft = "0px";
      Gradient.style.marginRight = this.marginRight;
    }, 10);

    const imagens = document.querySelectorAll("div.justify > img.justify");
    imagens.forEach((el: any) => {
      el.style.border = "2px solid " + this.color2;
    });
  }
}
</script>

<style scoped lang="scss">
.shp2 {
  fill: none;
  stroke-width: 25;
}
.container-absolute {
  position: absolute;
  bottom: 00px;
  z-index: 11;
  left: 0px;
  width: 100%;
}
</style>